Mir

Merge lp:~vanvugt/mir/fix-1523801 into lp:mir

Proposed by Daniel van Vugt
Status: Merged
Approved by: Alexandros Frantzis
Approved revision: no longer in the source branch.
Merged at revision: 3184
Proposed branch: lp:~vanvugt/mir/fix-1523801
Merge into: lp:mir
Diff against target: 31 lines (+8/-5)
1 file modified
tools/setup-partial-armhf-chroot.sh (+8/-5)
To merge this branch: bzr merge lp:~vanvugt/mir/fix-1523801
Reviewer Review Type Date Requested Status
PS Jenkins bot (community) continuous-integration Approve
Alexandros Frantzis (community) Approve
Alan Griffiths Approve
Review via email: mp+279864@code.launchpad.net

Commit message

Fix failing cross compile on xenial due to changes in dpkg-checkbuilddeps
return codes and error messages, which we parse. (LP: #1523801)

This updated script should still work with older dpkg-checkbuilddeps too.

To post a comment you must log in.
Revision history for this message
Alan Griffiths (alan-griffiths) wrote :

Looks sane. (But I'm not upgrading to xenial just to test it!)

review: Approve
Revision history for this message
Alexandros Frantzis (afrantzis) wrote :

Works well on xenial.

review: Approve
Revision history for this message
PS Jenkins bot (ps-jenkins) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
PS Jenkins bot (ps-jenkins) :
review: Approve (continuous-integration)

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'tools/setup-partial-armhf-chroot.sh'
2--- tools/setup-partial-armhf-chroot.sh 2015-10-28 05:13:50 +0000
3+++ tools/setup-partial-armhf-chroot.sh 2015-12-08 09:58:26 +0000
4@@ -80,19 +80,22 @@
5 set +e
6
7 # Parse dependencies from debian/control
8-# dpkg-checkbuilddeps returns 1 when dependencies are not met and the list is sent to stderr
9+# dpkg-checkbuilddeps returns non-zero when dependencies are not met and the list is sent to stderr
10 builddeps=$(dpkg-checkbuilddeps -a ${arch} --admindir=. ${DEBCONTROL} 2>&1 )
11-if [ $? -ne 1 ] ; then
12- echo "${builddeps}"
13- exit 2
14+if [ $? -eq 0 ] ; then
15+ exit 0
16 fi
17+echo "${builddeps}"
18
19 # now turn exit on error option
20 set -e
21
22 # Sanitize dependencies list for submission to multistrap
23 # build-essential is not needed as we are cross-compiling
24-builddeps=$(echo ${builddeps} | sed -e 's/dpkg-checkbuilddeps://g' -e 's/Unmet build dependencies://g' -e 's/build-essential:native//g')
25+builddeps=$(echo ${builddeps} | sed -e 's/dpkg-checkbuilddeps://g' \
26+ -e 's/error://g' \
27+ -e 's/Unmet build dependencies://g' \
28+ -e 's/build-essential:native//g')
29 builddeps=$(echo ${builddeps} | sed 's/([^)]*)//g')
30 builddeps=$(echo ${builddeps} | sed -e 's/abi-compliance-checker//g')
31 builddeps=$(echo ${builddeps} | sed -e 's/multistrap//g')

Subscribers

People subscribed via source and target branches